body.gamepage {

    h1 {
        color: $teal;
        border-top-color: $teal;
        border-bottom-color: $teal;
        text-shadow: 0 0.07em 0 $gray-lightest;
    }

    h2 {
        color: $teal;
        text-shadow: 0 0.07em 0 $gray-lightest;
        border-top-color: $purple;
        border-bottom-color: $purple;
        @include respond-to($small-bp) {
            display: block;
            font-size: 1em;
            border-bottom: 0;
            text-shadow: 0 0 0 transparent;
        }
    }

    h3 {
        color: $purple;
        text-shadow: 0 0.07em 0 $gray-lightest;
        border-top-color: $teal;
        border-bottom-color: $teal;
        @include respond-to($small-bp) {
            display: block;
            font-size: 1em;
            border-bottom: 0;
            text-shadow: 0 0 0 transparent;
        }
    }

    section {
        &:before {
            background: none;
        }
        &:first-of-type {
            article {
                padding-top: 2.222em; //40px
                @include respond-to($small-bp) {
                    padding-top: 1.818em; //40px based on 22px
                }
            }
        }
        article {
            padding-top: 1.111em; //20px
            padding-bottom: 1.111em; //20px
            @include respond-to($small-bp) {
                padding-top: 0.909em; //20px based on 22px
                padding-bottom: 0.909em; //20px based on 22px
                text-align: left;
            }
            header {
                min-height: 45px;
                margin: 0 0 1.389em; //25px
                small {
                    text-shadow: 0 0.07em 0 $gray-lightest;
                }
                @include respond-to($small-bp) {
                    margin: 0 0 1.136em; //25px based on 22px
                }
            }
            p {
                @include respond-to($small-bp) {
                    font-size: 0.818em; //18px based on 22px
                }
            }
        }
    }

    .columns {
        @include respond-to($med-bp) {
            display: flex;
        }
        .column {
            &:first-of-type {
                @include respond-to($med-bp) {
                    flex: 3;
                }
            }
            &:last-of-type {
                display: none;
                @include respond-to($med-bp) {
                    display: block;
                    flex: 1;
                    padding-left: 1.136em;
                }
            }
            .columns {
                margin: 1.136em 0;
                .column {
                    @include respond-to($med-bp) {
                        flex: 1;
                        max-width: inherit;
                    }
                }
            }
        }
    }

    .types {
        position: relative;
        margin: 0 auto 0.556em;
        @include respond-to($small-bp) {
            margin: 0 auto 1.136em; //0 auto 25px based on 22px
        }
        > img:first-of-type {
            display: block;
            width: 80px;
            height: auto;
        }
        div {
            position: absolute;
            top: 50%;
            left: 100px;
            transform: translateY(-50%);
        }
    }

    .screenshots,
    .icons,
    p {
        margin: 0 auto 2.222em; //0 auto 40px
        @include respond-to($small-bp) {
            margin: 1.136em auto 2.727em; //25px auto 60px auto based on 22px
        }
    }

    .filters {
        padding: 0 0 2.222em; //0 auto 40px
        @include respond-to($small-bp) {
            padding: 1.136em 0 2.727em; //25px auto 60px auto based on 22px
        }
    }

    .screenshots {
        img {
            display: block;
            width: 100%;
            height: auto;
            margin-bottom: 4px;
            border-radius: 1px;
            &:last-of-type {
                margin-bottom: 0;
            }
        }
    }

    .icons {
        display: flex;
        flex-wrap: wrap;
        align-items: flex-start;
        align-content: flex-start;
        img {
            display: block;
            flex: 1;
            height: auto;
            margin: 2px;
            border-radius: 1px;
        }
    }

    .clipboard {
        margin-top: 1.136em;
        button {
            font-size: .778em; //14px
            font-weight: 800;
            @include respond-to($small-bp) {
                font-size: .636em; //14px based on 22
            }
        }
    }

    .game {
        position: relative;
        @include aspect-ratio(16, 9);

        // If the game is about to embed... maybe.
        &[data-embedded='waiting'] {
            background: $gray-lightest;
        }
        // If the game has been embedded.
        &[data-embedded='true'] {
            background: transparent;
        }
        // If the game is not embedded because we are on mobile or whatever...
        &[data-embedded='false'] {
            background: $pink-to-orange;
            &:after {
                position: absolute;
                z-index: 0;
                content: '';
                width: 100%;
                height: 100%;
                top: 0;
                background: url("/assets/images/shape-bg.svg") no-repeat top right;
                background-size: cover;
                opacity: 0.1;
            }
            a {
                display: inline-block;
                position: absolute;
                z-index: 1;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                @include buttonStyle($orange, $orange-dark);
            }
        }
        a {
            display: none;
        }
        object,
        iframe {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }
        iframe {
            border: 0;
        }
    }

    .vooxe {
        position: relative;
        > div {
            @include aspect-ratio(16, 9);
        }
        iframe {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }
    }
}
